

  {extends file="main.tpl"}
    <!DOCTYPE head PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><head xmlns="http://www.w3.org/1999/xhtml">
  {block name=title}GPSBabel devel:Comma separated values (csv){/block}
  {block name=body}
                       
  <div xmlns="http://www.w3.org/1999/xhtml" class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Comma separated values (csv)</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="fmt_v900.html">Prev</a> </td><th width="60%" align="center">Chapter 3. The Formats</th><td width="20%" align="right"> <a accesskey="n" href="fmt_compegps.html">Next</a></td></tr></table><hr /></div><div xmlns="http://www.w3.org/1999/xhtml" class="section"><div class="titlepage"><div><div><h2 class="title" ><a id="fmt_csv"></a>Comma separated values (csv)</h2></div></div></div><p class="fmtcapshdr">
    This format can...
    </p><div class="itemizedlist"><ul class="itemizedlist" style="list-style-type: disc; "><li class="listitem"><p class="fmtcapsitem">
          read and write waypoints
        </p></li></ul></div><p>
This format is derived from the <a class="link" href="fmt_xcsv.html" title="? Character Separated Values (xcsv)">xcsv</a>
format, so it has all of the same options as that format.
</p><p> There are a billion variants of Comma Separated Value
data.  This is the one specifically that makes <a class="ulink" href="http://www.delorme.com" target="_top">Delorme</a> <span class="productname">S&amp;A Deluxe 9</span>™ happy. It's
also a very simple program and useful for many other programs like
spreadsheets.</p><p> CSV is also the correct format for 
	<span class="productname">Lowrance MapCreate</span>™,
their commercial mapping program, or GDM6 (their free waypoint
manager) for iFinder which is available at <a class="ulink" href="http://www.lowrance.com/Software/GDM6/Default.asp" target="_top">lowrance.com</a>
         </p><p>
	On write, this format writes simple "latitude, longitude" pairs, but 
on read it  will read anything supported by our <a class="link" href="style_define.html#style_def_lathuman" title="LAT_HUMAN_READABLE">human readable</a> definition.
    </p><p>
       For something-separated data that has headers identifying the various
	fields, see our <a class="link" href="fmt_unicsv.html" title="Universal csv with field structure in first line (unicsv)">universal csv</a> format.
    </p><div class="example"><a id="csv_example"></a><p class="title"><strong>Example 3.4. Example 'csv' file</strong></p><div class="example-contents"><pre class="programlisting">
35.97203, -87.13470, Mountain Bike Heaven by susy1313
36.09068, -86.67955, The Troll by a182pilot &amp; Family
35.99627, -86.62012, Dive Bomber by JoGPS &amp; family
36.03848, -86.64862, FOSTER by JoGPS &amp; Family
</pre></div></div><br class="example-break" /></div><div xmlns="http://www.w3.org/1999/xhtml" class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="fmt_v900.html">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="The_Formats.html">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="fmt_compegps.html">Next</a></td></tr><tr><td width="40%" align="left" valign="top">Columbus/Visiontac V900 files (.csv) (v900) </td><td width="20%" align="center"><a accesskey="h" href="index.html">Home</a></td><td width="40%" align="right" valign="top"> CompeGPS data files (.wpt/.trk/.rte) (compegps)</td></tr></table></div>
  
      {/block}
  